## org.apache.catalina
Interface LifecycleListener

All Known Implementing Classes:
  BaseJkConfig, BaseJkConfig, ContextConfig, EngineConfig, GlobalResourcesLifecycleListener, HostConfig, NamingContextListener, ServerLifecycleListener, StandardDefaultContext, UserConfig

public interface LifecycleListener

Interface defining a listener for significant events (including "component start" and "component stop" generated by a component that implements the Lifecycle interface.

Version:
  $Revision: 1.3 $ $Date: 2004/02/27 14:58:38 $
Author:
  Craig R. McClanahan

Method Summary
`void` `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.

Method Detail

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Acknowledge the occurrence of the specified event.

  Parameters:
    `event` - LifecycleEvent that has occurred

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.